libetonyek::IWORKStylesContext Class Reference documentation

libetonyek::IWORKStylesContext Class Reference

`#include <IWORKStylesContext.h>`

Inheritance diagram for libetonyek::IWORKStylesContext:

## Public Member Functions
| IWORKStylesContext (IWORKXMLParserState &state, bool anonymous)
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Attributes
const bool | m_anonymous
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Constructor & Destructor Documentation

## ◆ IWORKStylesContext()

libetonyek::IWORKStylesContext::IWORKStylesContext | ( | IWORKXMLParserState & | state,
|  | bool | anonymous )

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKStylesContext::element | ( | int | name | ) |
| overridevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKStylesContext::endOfElement | ( |  | ) |
| overridevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_anonymous

const bool libetonyek::IWORKStylesContext::m_anonymous
| protected

Referenced by IWORKStylesContext().

The documentation for this class was generated from the following files:

- IWORKStylesContext.h
- IWORKStylesContext.cpp